Upgrade 3.10 to 4.20

1 month ago
Good morning, I am trying to update my version from 3.10 to 4.20. I have followed all the steps indicated here:
https://docs.nopcommerce.com/en/user-guide/installing/upgrading.html

But the installation page appears to me.
1 month ago
[email protected] wrote:
Good morning, I am trying to update my version from 3.10 to 4.20. I have followed all the steps indicated here:
https://docs.nopcommerce.com/en/user-guide/installing/upgrading.html

But the installation page appears to me.


On this documentation, There is a small mistake.
 5. Rename file setting.txt to .dataSettings.json and InstalledPlugins.txt to plugins.json (for 4.00 and 4.10, rename InstalledPlugins.txt to installedPlugins.json) and update content with json structure.


Rename file setting.txt to dataSettings.json

remove dot before the dataSettings.json

Please check in your scenario.
1 month ago
I already had the settings.txt files renamed as dataSettings.json and InstalledPlugins.txt as InstalledPlugin.json
But the installation page keeps showing me.
1 month ago
[email protected] wrote:
I already had the settings.txt files renamed as dataSettings.json and InstalledPlugins.txt as InstalledPlugin.json
But the installation page keeps showing me.


InstalledPlugins.txt should be plugins.json.

Here is the format:
{
  "InstalledPluginNames": [
    "DiscountRequirement.MustBeAssignedToCustomerRole",
    "CurrencyExchange.ECB",
    "Misc.SendinBlue",
    "Payments.CheckMoneyOrder",
    "Payments.Manual",
    "Payments.PayPalStandard",
    "Payments.Qualpay",
    "Payments.Square",
    "Pickup.PickupInStore",
    "Shipping.FixedByWeightByTotal",
    "Shipping.UPS",
    "Tax.Avalara",
    "Tax.FixedOrByCountryStateZip",
    "Widgets.GoogleAnalytics",
    "Widgets.NivoSlider",
    "ExternalAuth.Facebook"
  ],
  "PluginNamesToUninstall": [],
  "PluginNamesToDelete": [],
  "PluginNamesToInstall": []
}


Share the error message here if still facing the issue.
1 month ago
My dataSettings.json is:
DataProvider: sqlserver
DataConnectionString: Data Source=sql.coaba.es;Initial Catalog=coaba1;Integrated Security=False;Persist Security Info=False;User ID=coaba1;Password=Dey954272013;MultipleActiveResultSets=True

My plugins.json is:
{
"InstalledPluginNames": [
   "DiscountRequirement.HadSpentAmount",
   "DiscountRequirement.HasAllProducts",
   "DiscountRequirement.HasOneProduct",
   "DiscountRequirement.MustBeAssignedToCustomerRole",
   "CurrencyExchange.MoneyConverter",
   "ExternalAuth.OpenId",
   "ExternalAuth.Facebook",
   "Misc.WebServices",
   "Payments.CashOnDelivery",
   "Payments.CheckMoneyOrder",
   "Payments.Manual",
   "Payments.AuthorizeNet",
   "Payments.PayPalDirect",
   "Payments.GoogleCheckout",
   "Payments.PayPalStandard",
   "Payments.PurchaseOrder",
   "PromotionFeed.Froogle",
   "Shipping.AustraliaPost",
   "Shipping.CanadaPost",
   "Shipping.FedEx",
   "Shipping.FixedRate",
   "Shipping.ByWeight",
   "Shipping.UPS",
   "Shipping.USPS",
   "Mobile.SMS.Verizon",
   "Tax.FixedRate",
   "Tax.CountryStateZip",
   "Widgets.GoogleAnalytics",
   "Widgets.NivoSlider",
   "ThemeHelper.Furniture",
   "SevenSpikes.Core",
   "SevenSpikes.Nop.Plugins.CloudZoom",
   "SevenSpikes.Nop.Plugins.SmartSEO"
],
"PluginNamesToUninstall": [],
"PluginNamesToDelete": [],
"PluginNamesToInstall": []
}

But error:
An error occurred while starting the application.
.NET Core 4.6.27414.05 X64 v4.0.0.0    |   Microsoft.AspNetCore.Hosting version 2.2.0-rtm-35687    |    Microsoft Windows 6.2.9200    |   Need help?
1 month ago
[email protected] wrote:
My dataSettings.json is:

But error:
An error occurred while starting the application.
.NET Core 4.6.27414.05 X64 v4.0.0.0    |   Microsoft.AspNetCore.Hosting version 2.2.0-rtm-35687    |    Microsoft Windows 6.2.9200    |   Need help?


I would request you to enable logging.

For how to do it,
refer below link
http://docs.lacunasoftware.com/en-us/articles/amplia/on-premises/windows/enable-stdout-log.html

This will enable logging and you can find out what is happening with your requests.

Thank you.
1 month ago
Javier it looks like you posted the link and credentials to your database! I hope this is not production and if it is you should change the credentials ASAP. I obfuscated those details in my quote of you post. Never post secure details of you app like that on the net. Even if you trust the nop community a bot could easily scan the site and harvest these credentials. Assume they are compromised and do not use them anywhere else either.

[email protected] wrote:
My dataSettings.json is:
DataProvider: sqlserver
DataConnectionString: Data Source=*****;Initial Catalog=coaba1;Integrated Security=False;Persist Security Info=False;User ID=*****;Password=*****;MultipleActiveResultSets=True

My plugins.json is:
{
"InstalledPluginNames": [
   "DiscountRequirement.HadSpentAmount",
   "DiscountRequirement.HasAllProducts",
   "DiscountRequirement.HasOneProduct",
   "DiscountRequirement.MustBeAssignedToCustomerRole",
   "CurrencyExchange.MoneyConverter",
   "ExternalAuth.OpenId",
   "ExternalAuth.Facebook",
   "Misc.WebServices",
   "Payments.CashOnDelivery",
   "Payments.CheckMoneyOrder",
   "Payments.Manual",
   "Payments.AuthorizeNet",
   "Payments.PayPalDirect",
   "Payments.GoogleCheckout",
   "Payments.PayPalStandard",
   "Payments.PurchaseOrder",
   "PromotionFeed.Froogle",
   "Shipping.AustraliaPost",
   "Shipping.CanadaPost",
   "Shipping.FedEx",
   "Shipping.FixedRate",
   "Shipping.ByWeight",
   "Shipping.UPS",
   "Shipping.USPS",
   "Mobile.SMS.Verizon",
   "Tax.FixedRate",
   "Tax.CountryStateZip",
   "Widgets.GoogleAnalytics",
   "Widgets.NivoSlider",
   "ThemeHelper.Furniture",
   "SevenSpikes.Core",
   "SevenSpikes.Nop.Plugins.CloudZoom",
   "SevenSpikes.Nop.Plugins.SmartSEO"
],
"PluginNamesToUninstall": [],
"PluginNamesToDelete": [],
"PluginNamesToInstall": []
}

But error:
An error occurred while starting the application.
.NET Core 4.6.27414.05 X64 v4.0.0.0    |   Microsoft.AspNetCore.Hosting version 2.2.0-rtm-35687    |    Microsoft Windows 6.2.9200    |   Need help?